Skip to main content
GET
/
events
/
{eventId}
Get lead activity event details by ID
curl --request GET \
  --url https://api.leadping.ai/events/{eventId}
{
  "id": "<string>",
  "eventType": "<string>",
  "eventCategory": "<string>",
  "activityCategory": "<string>",
  "description": "<string>",
  "conversationId": "<string>",
  "leadId": "<string>",
  "summary": "<string>",
  "direction": "<string>",
  "statusReason": "<string>",
  "isWarmup": true,
  "fromPhoneNumberId": "<string>",
  "outboundPhoneNumberId": "<string>",
  "fromPhoneNumber": "<string>",
  "toPhoneNumber": "<string>",
  "telnyxId": "<string>",
  "providerMessageId": "<string>",
  "wasManuallyOverridden": true,
  "campaignId": "<string>",
  "sourceId": "<string>",
  "tenDlcCampaignId": "<string>",
  "complianceAction": "<string>",
  "billingStatus": "<string>",
  "billableAmount": "<string>",
  "errorCode": "<string>",
  "retryCount": "<string>",
  "queuedAt": "2023-11-07T05:31:56Z",
  "sendingStartedAt": "2023-11-07T05:31:56Z",
  "sentAt": "2023-11-07T05:31:56Z",
  "deliveredAt": "2023-11-07T05:31:56Z",
  "receivedAt": "2023-11-07T05:31:56Z",
  "failedAt": "2023-11-07T05:31:56Z",
  "undeliverableAt": "2023-11-07T05:31:56Z",
  "blockedAt": "2023-11-07T05:31:56Z",
  "nextRetryAt": "2023-11-07T05:31:56Z",
  "scheduledFor": "2023-11-07T05:31:56Z",
  "scheduledReason": "<string>",
  "canceledAt": "2023-11-07T05:31:56Z",
  "cancelReason": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "createdBy": "<string>"
}

Path Parameters

eventId
string
required

The ID of the event.

Response

Event was successfully retrieved.

API DTO containing event data used by Leadping API contracts.

id
string

The unique ID for this event.

eventType
string

The event type classification for this event.

eventCategory
string | null
activityType
enum<string>

Defines the supported Activity Type values.

Available options:
Message,
Sms,
Mms,
Call,
Voicemail,
Note,
Disposition,
LeadCreated,
LeadUpdated,
Notification,
Payment,
Warmup
activityCategory
string
description
string

The human-readable description of this event.

conversationId
string | null
leadId
string | null
summary
string | null
direction
string | null
status
enum<string> | null

Defines the supported Activity Timeline Status values.

Available options:
Pending,
InProgress,
Completed,
Cancelled,
Scheduled,
Queued,
Sending,
Sent,
Received,
Delivered,
Undeliverable,
Opted out,
Blocked,
Initiated,
Ringing,
Active,
Ended,
Missed,
Voicemail,
Failed,
Canceled
statusReason
string | null
isWarmup
boolean
trafficType
enum<string> | null

Defines the supported SMS Traffic Type values.

Available options:
RealLead,
Warmup,
Test,
SystemInternal,
FailedAttempt
fromPhoneNumberId
string | null
outboundPhoneNumberId
string | null
fromPhoneNumber
string | null
toPhoneNumber
string | null
telnyxId
string | null
providerMessageId
string | null
selectionReason
enum<string> | null

Defines the supported Outgoing Number Selection Reason values.

Available options:
StickyConversation,
LeadAssigned,
CampaignOrSource,
Preferred,
LocalArea,
HealthyPool,
FallbackDefault,
ManualOverride
wasManuallyOverridden
boolean
campaignId
string | null
sourceId
string | null
tenDlcCampaignId
string | null
complianceAction
string | null
billingStatus
string | null
billableAmount
string<double> | null
Pattern: ^-?(?:0|[1-9]\d*)(?:\.\d+)?$
errorCode
string | null
retryCount
string<int32>
Pattern: ^-?(?:0|[1-9]\d*)$
queuedAt
string<date-time> | null
sendingStartedAt
string<date-time> | null
sentAt
string<date-time> | null
deliveredAt
string<date-time> | null
receivedAt
string<date-time> | null
failedAt
string<date-time> | null
undeliverableAt
string<date-time> | null
blockedAt
string<date-time> | null
nextRetryAt
string<date-time> | null
scheduledFor
string<date-time> | null
scheduledReason
string | null
canceledAt
string<date-time> | null
cancelReason
string | null
createdAt
string<date-time>

The date and time for the created at value on this event.

createdBy
string

The date and time for the created by value on this event.